package com.ruoyi.bst.customer.service.impl;

import org.springframework.stereotype.Service;

import com.ruoyi.bst.customer.domain.Customer;
import com.ruoyi.bst.customer.service.CustomerConverter;

@Service
public class CustomerConverterImpl implements CustomerConverter {

    @Override
    public Customer toPoByCreate(Customer customer) {
        if (customer == null) {
            return null;
        }
        Customer po = new Customer();
        po.setCode(customer.getCode());
        po.setName(customer.getName());
        po.setStatus(customer.getStatus());
        po.setIntentLevel(customer.getIntentLevel());
        po.setMobile(customer.getMobile());
        po.setWechat(customer.getWechat());
        po.setSource(customer.getSource());
        po.setIntents(customer.getIntents());
        po.setFollowId(customer.getFollowId());
        po.setRemark(customer.getRemark());
        return po;
    }

    @Override
    public Customer toPoByUpdate(Customer customer) {
        if (customer == null) {
            return null;
        }
        Customer po = new Customer();
        po.setId(customer.getId());
        po.setCode(customer.getCode());
        po.setName(customer.getName());
        po.setStatus(customer.getStatus());
        po.setIntentLevel(customer.getIntentLevel());
        po.setMobile(customer.getMobile());
        po.setWechat(customer.getWechat());
        po.setSource(customer.getSource());
        po.setIntents(customer.getIntents());
        po.setFollowId(customer.getFollowId());
        po.setRemark(customer.getRemark());
        return po;
    }

}
