package com.ruoyi.web.bst;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ruoyi.bst.dashboard.service.DashboardService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;

@RestController
@RequestMapping("/bst/dashboard")
public class DashboardController extends BaseController {
    
    @Autowired
    private DashboardService dashboardService;

    @GetMapping("/brief")
    public AjaxResult brief() {
        return AjaxResult.success(dashboardService.selectBrief());
    }

}
